#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './codevieweroptionsbase.ui'
**
** Created: 2012-07-09T16:53:45
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "codevieweroptionsbase.h"

#include <qvariant.h>
#include <kfontdialog.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcolorbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CodeViewerOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CodeViewerOptionsBase::CodeViewerOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CodeViewerOptionsBase" );
    CodeViewerOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "CodeViewerOptionsBaseLayout"); 

    fontChooser = new KFontChooser( this, "fontChooser" );
    fontChooser->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, fontChooser->sizePolicy().hasHeightForWidth() ) );

    CodeViewerOptionsBaseLayout->addWidget( fontChooser, 0, 0 );

    tqcolorGroupBox = new QGroupBox( this, "tqcolorGroupBox" );
    tqcolorGroupBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, tqcolorGroupBox->sizePolicy().hasHeightForWidth() ) );
    tqcolorGroupBox->setColumnLayout(0, Qt::Vertical );
    tqcolorGroupBox->layout()->setSpacing( 6 );
    tqcolorGroupBox->layout()->setMargin( 11 );
    tqcolorGroupBoxLayout = new QGridLayout( tqcolorGroupBox->layout() );
    tqcolorGroupBoxLayout->setAlignment( Qt::AlignTop );

    colorLayout = new QGridLayout( 0, 1, 1, 0, 6, "colorLayout"); 

    fontLabel = new QLabel( tqcolorGroupBox, "fontLabel" );
    fontLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, fontLabel->sizePolicy().hasHeightForWidth() ) );

    colorLayout->addWidget( fontLabel, 0, 2 );

    selectColorButton = new KColorButton( tqcolorGroupBox, "selectColorButton" );
    selectColorButton->setColor( QColor( 255, 255, 127 ) );

    colorLayout->addWidget( selectColorButton, 0, 5 );

    paperLabel = new QLabel( tqcolorGroupBox, "paperLabel" );
    paperLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, paperLabel->sizePolicy().hasHeightForWidth() ) );

    colorLayout->addWidget( paperLabel, 0, 0 );

    paperColorButton = new KColorButton( tqcolorGroupBox, "paperColorButton" );
    paperColorButton->setColor( QColor( 255, 255, 255 ) );

    colorLayout->addWidget( paperColorButton, 0, 1 );

    selectedLabel = new QLabel( tqcolorGroupBox, "selectedLabel" );
    selectedLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, selectedLabel->sizePolicy().hasHeightForWidth() ) );

    colorLayout->addWidget( selectedLabel, 0, 4 );

    fontColorButton = new KColorButton( tqcolorGroupBox, "fontColorButton" );
    fontColorButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, fontColorButton->sizePolicy().hasHeightForWidth() ) );
    fontColorButton->setColor( QColor( 0, 0, 0 ) );

    colorLayout->addWidget( fontColorButton, 0, 3 );

    tqcolorGroupBoxLayout->addLayout( colorLayout, 0, 0 );

    tqlayout4 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout4"); 

    nonEditBlockColorButton = new KColorButton( tqcolorGroupBox, "nonEditBlockColorButton" );
    nonEditBlockColorButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, nonEditBlockColorButton->sizePolicy().hasHeightForWidth() ) );
    nonEditBlockColorButton->setColor( QColor( 213, 213, 213 ) );

    tqlayout4->addWidget( nonEditBlockColorButton, 1, 3 );

    tqlayout3 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout3"); 

    m_hiddenBlockColorButton = new KColorButton( tqcolorGroupBox, "m_hiddenBlockColorButton" );
    m_hiddenBlockColorButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_hiddenBlockColorButton->sizePolicy().hasHeightForWidth() ) );
    m_hiddenBlockColorButton->setColor( QColor( 166, 254, 248 ) );

    tqlayout3->addWidget( m_hiddenBlockColorButton, 0, 3 );

    umlObjectColorButton = new KColorButton( tqcolorGroupBox, "umlObjectColorButton" );
    umlObjectColorButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, umlObjectColorButton->sizePolicy().hasHeightForWidth() ) );
    umlObjectColorButton->setColor( QColor( 255, 170, 255 ) );

    tqlayout3->addWidget( umlObjectColorButton, 0, 1 );

    textLabel1 = new QLabel( tqcolorGroupBox, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );

    tqlayout3->addWidget( textLabel1, 0, 0 );

    textLabel1_2 = new QLabel( tqcolorGroupBox, "textLabel1_2" );
    textLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );

    tqlayout3->addWidget( textLabel1_2, 0, 2 );

    tqlayout4->addMultiCellLayout( tqlayout3, 0, 0, 0, 3 );

    textLabel2 = new QLabel( tqcolorGroupBox, "textLabel2" );
    textLabel2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel2->sizePolicy().hasHeightForWidth() ) );

    tqlayout4->addWidget( textLabel2, 1, 2 );

    editBlockColorButton = new KColorButton( tqcolorGroupBox, "editBlockColorButton" );
    editBlockColorButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, editBlockColorButton->sizePolicy().hasHeightForWidth() ) );
    editBlockColorButton->setColor( QColor( 255, 170, 255 ) );

    tqlayout4->addWidget( editBlockColorButton, 1, 1 );

    textLabel3 = new QLabel( tqcolorGroupBox, "textLabel3" );
    textLabel3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );

    tqlayout4->addWidget( textLabel3, 1, 0 );

    tqcolorGroupBoxLayout->addLayout( tqlayout4, 1, 0 );

    CodeViewerOptionsBaseLayout->addWidget( tqcolorGroupBox, 1, 0 );
    languageChange();
    resize( QSize(486, 545).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CodeViewerOptionsBase::~CodeViewerOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CodeViewerOptionsBase::languageChange()
{
    tqcolorGroupBox->setTitle( tr2i18n( "Colors" ) );
    fontLabel->setText( tr2i18n( "Font:" ) );
    selectColorButton->setText( QString::null );
    paperLabel->setText( tr2i18n( "Paper:" ) );
    paperColorButton->setText( QString::null );
    selectedLabel->setText( tr2i18n( "Selected:" ) );
    fontColorButton->setText( QString::null );
    nonEditBlockColorButton->setText( QString::null );
    m_hiddenBlockColorButton->setText( QString::null );
    umlObjectColorButton->setText( QString::null );
    textLabel1->setText( tr2i18n( "<p align=\"right\">UML object block:</p>" ) );
    textLabel1_2->setText( tr2i18n( "<p align=\"right\">Hidden block:</p>" ) );
    textLabel2->setText( tr2i18n( "<p align=\"right\">Uneditable text:</p>" ) );
    editBlockColorButton->setText( QString::null );
    textLabel3->setText( tr2i18n( "<p align=\"right\">Editable text:</p>" ) );
}

#include "codevieweroptionsbase.moc"
